Loading...
Searching...
No Matches
pappso::PeptideSizeFilter Class Reference

filter peptide string by size More...

`#include <peptidesizefilter.h>`

Inheritance diagram for pappso::PeptideSizeFilter:

## Public Member Functions

| PeptideSizeFilter (unsigned int min_size, unsigned int max_size)
virtual | ~PeptideSizeFilter ()
void | setPeptide (std::int8_t sequence_database_id, const ProteinSp &protein_sp, bool is_decoy, const QString &peptide, unsigned int start, bool is_nter, unsigned int missed_cleavage_number, bool semi_enzyme) override
| function to give the products of a protein digestion by an enzyme
void | setSink (EnzymeProductInterface *sink) override

## Private Attributes

EnzymeProductInterface * | m_sink = nullptr
const int | m_minSize
const int | m_maxSize

## Detailed Description

filter peptide string by size

Definition at line 34 of file peptidesizefilter.h.

## Constructor & Destructor Documentation

## PeptideSizeFilter()

pappso::PeptideSizeFilter::PeptideSizeFilter | ( | unsigned int | min_size,
|  | unsigned int | max_size )

Definition at line 29 of file peptidesizefilter.cpp.

: m_minSize(min_size), m_maxSize(max_size)
{
}
pappso::PeptideSizeFilter::m_minSize
const int m_minSize
Definition peptidesizefilter.h:62
pappso::PeptideSizeFilter::m_maxSize
const int m_maxSize
Definition peptidesizefilter.h:63

References m_maxSize, and m_minSize.

## ~PeptideSizeFilter()

pappso::PeptideSizeFilter::~PeptideSizeFilter | ( |  | ) |

virtual

Definition at line 34 of file peptidesizefilter.cpp.

{
}

## Member Function Documentation

## setPeptide()

void pappso::PeptideSizeFilter::setPeptide | ( | std::int8_t | sequence_database_id,
|  | const ProteinSp & | protein_sp,
|  | bool | is_decoy,
|  | const QString & | peptide,
|  | unsigned int | start,
|  | bool | is_nter,
|  | unsigned int | missed_cleavage_number,
|  | bool | semi_enzyme )

override virtual

function to give the products of a protein digestion by an enzyme

Parameters

  sequence_database_id | integer that references the sequence fatabase (file, stream, url...)
  protein_sp | shared pointer on the protein that was digested
  is_decoy | tell if the current protein is a decoy (true) or normal (false) protein
  peptide | amino acid sequence of the peptide (string) produced by the digestion
  start | the position of the first amino acid of the peptide in the original protein sequence. the first amino acid of the protein is at position 1.
  is_nter | boolean to tell if the peptide is an Nter peptide (to allow Methionin Nter removal)
  missed_cleavage_number | number of missed cleavage sites (that the enzyme has not cut) fot the product
  semi_enzyme | boolean that tells if this peptide is the produce of a semi enzymatic lysis

Implements pappso::EnzymeProductInterface.

Definition at line 39 of file peptidesizefilter.cpp.

{
if((peptide.size() >= m_minSize) && (peptide.size() <= m_maxSize))
{
m_sink->setPeptide(sequence_database_id,
protein_sp,
is_decoy,
peptide,
start,
is_nter,
missed_cleavage_number,
semi_enzyme);
}
}
pappso::PeptideSizeFilter::m_sink
EnzymeProductInterface * m_sink
Definition peptidesizefilter.h:61

References m_maxSize, m_minSize, and m_sink.

## setSink()

void pappso::PeptideSizeFilter::setSink | ( | EnzymeProductInterface * | sink | ) |

inline override virtual

Implements pappso::PeptideSinkInterface.

Definition at line 54 of file peptidesizefilter.h.

{
m_sink = sink;
};

References m_sink.

## Member Data Documentation

## m_maxSize

const int pappso::PeptideSizeFilter::m_maxSize

private

Definition at line 63 of file peptidesizefilter.h.

Referenced by PeptideSizeFilter(), and setPeptide().

## m_minSize

const int pappso::PeptideSizeFilter::m_minSize

private

Definition at line 62 of file peptidesizefilter.h.

Referenced by PeptideSizeFilter(), and setPeptide().

## m_sink

EnzymeProductInterface* pappso::PeptideSizeFilter::m_sink = nullptr

private

Definition at line 61 of file peptidesizefilter.h.

Referenced by setPeptide(), and setSink().

The documentation for this class was generated from the following files:

- pappsomspp/core/protein/peptidesizefilter.h
- pappsomspp/core/protein/peptidesizefilter.cpp